Package ch.qos.logback.core.subst

## Class Parser

- java.lang.Object
- - ch.qos.logback.core.subst.Parser

    public class Parser
    extends java.lang.Object

Parse a token list returning a node chain.

Author:
  Ceki Gulcu

### Constructor Summary

Constructors
`Parser​(java.util.List<Token> tokenList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Node` `parse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parser

    public Parser​(java.util.List<Token> tokenList)

### Method Detail

#### parse

    public Node parse()
               throws ScanException

Throws:
  `ScanException`